Bug 36128 - testCVE in sc/qa/ucalc.cxx fails
Summary: testCVE in sc/qa/ucalc.cxx fails
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-11 03:09 UTC by Björn Michaelsen
Modified: 2013-10-15 00:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2011-04-11 03:09:54 UTC
The cppunit test testCVEs in sc/qa/ucalc.cxx fails in sc for me.
The test will be commented for now, so that the other tests can be re-enabled without breaking the build for everyone.

@kohei: Could you have a look at the issue? I might very well be that it fails because of my configure/whatever, but for now I wanted to get the other test back ASAP.
Comment 1 Björn Michaelsen 2011-04-11 03:46:59 UTC
To re-enable the test, please revert commit 61f3ffa098242b7ecb790645899e90d7493d52a0.
http://cgit.freedesktop.org/libreoffice/calc/commit/?id=61f3ffa098242b7ecb790645899e90d7493d52a0
Comment 2 Björn Michaelsen 2011-04-11 03:47:42 UTC
assign to kohei. please reassign as appropriate.
Comment 3 Caolán McNamara 2011-04-12 06:58:39 UTC
sc filter searches for libscfilt.so beside the launching binary, hence its not beside it anymore with the different dirs, etc.
Comment 4 Caolán McNamara 2011-04-12 07:32:36 UTC
fixed in master
Comment 5 Caolán McNamara 2011-04-12 07:33:35 UTC
closing
Comment 6 Robert Nagy 2011-06-20 16:00:09 UTC
I am reopening this bug since testCVE is failing every time on BSD and people reported some breakage on different linux distros too.


[ build LNK ] CppunitTest/libtest_sc_ucalc.so
R=/home/robert/libreoffice && S=$R/bootstrap && O=$S/solver/350/unxobsd.pro && W=$O/workdir &&  mkdir -p $W/LinkTarget/CppunitTest/ && g++ -shared -Wl,-z,noexecstack  -Wl,-rpath-link,/lib:/usr/lib -Wl,-z,combreloc   -L$S/solenv/unxobsd/lib -L$O/lib -L$S/solenv/unxobsd/lib -L/usr/local/lib -L/usr/X11R6/lib  -Wl,--strip-all  -Wl,-O1  $W/CxxObject/sc/qa/unit/ucalc.o  @$W/LinkTarget/Library/libsclo.so.objectlist -Wl,--start-group  -Wl,--end-group -lcppunit -lcppunit -lavmedialo -lbasegfxlo -lcomphelpgcc3 -luno_cppu -luno_cppuhelpergcc3 -ldrawinglayerlo -leditenglo -lforlo -lforuilo -li18nisolang1gcc3 -luno_sal -luno_salhelpergcc3 -lsblo -lsfxlo -lsotlo -lsvllo -lsvtlo -lsvxlo -lsvxcorelo -ltklo -ltllo -lucbhelper4gcc3 -lutllo -lvbahelperlo -lvcllo -lxolo -pthread -o $W/LinkTarget/CppunitTest/libtest_sc_ucalc.so
TEMPFILE=/tmp/gbuild.hpA2A8 && cat  /home/robert/libreoffice/bootstrap/solver/350/unxobsd.pro/workdir/LinkTarget/Library/libsclo.so.objectlist >> ${TEMPFILE} &&  mv ${TEMPFILE} /home/robert/libreoffice/bootstrap/solver/350/unxobsd.pro/workdir/LinkTarget/CppunitTest/libtest_sc_ucalc.so.objectlist 
[ build CUT ] sc_ucalc
R=/home/robert/libreoffice && S=$R/bootstrap && O=$S/solver/350/unxobsd.pro && W=$O/workdir &&  mkdir -p $W/CppunitTest/ && LD_LIBRARY_PATH=$O/lib STAR_RESOURCEPATH=$O/bin/   $O/bin/cppunit/cppunittester $W/LinkTarget/CppunitTest/libtest_sc_ucalc.so --headless --invisible   "-env:UNO_TYPES= file://$O/bin/udkapi.rdb  file://$O/bin/types.rdb"  "-env:UNO_SERVICES=file://$O/xml/ure/services.rdb  file://$W/RdbTarget/sc_ucalc.rdb"   -env:URE_INTERNAL_LIB_DIR=file://$O/lib  -env:OOO_BASE_DIR=file://$O/lib  -env:BRAND_BASE_DIR=file://$O/lib > $W/CppunitTest/sc_ucalc.test.log 2>&1 || (cat $W/CppunitTest/sc_ucalc.test.log && false)
terminate called after throwing an instance of 'com::sun::star::registry::InvalidRegistryException'
Abort trap (core dumped)
Comment 7 Caolán McNamara 2011-06-21 01:05:50 UTC
its not really super-helpful to just state "it fails", there's nothing there to work with. Backtraces ?
Comment 8 Caolán McNamara 2011-10-19 03:52:51 UTC
what's the current status here, still broken ? I just fixed a problem with windows and attempting to remove a file which was still open.
Comment 9 Caolán McNamara 2011-10-19 03:56:28 UTC
oh, better add the right cc's
Comment 10 Markus Mohrhard 2011-12-29 08:54:57 UTC
Does this still fail?
Comment 11 Thomas Arnhold 2013-10-15 00:31:25 UTC
Those are enabled by default nowadays.